Loading...
Searching...
No Matches
Halide::Internal::HalideBufferStaticTypeAndDims<::Halide::Buffer< T, Dims > > Struct Template Reference

`#include <Callable.h>`

## Static Public Member Functions

static constexpr halide_type_t | type ()
static constexpr int | dims ()

## Detailed Description

template<typename T, int Dims>
struct Halide::Internal::HalideBufferStaticTypeAndDims<::Halide::Buffer< T, Dims > >

Definition at line 53 of file Callable.h.

## Member Function Documentation

## type()

template<typename T, int Dims>

constexpr halide_type_t Halide::Internal::HalideBufferStaticTypeAndDims<::Halide::Buffer< T, Dims > >::type | ( |  | ) |

inline static constexpr

Definition at line 54 of file Callable.h.

## dims()

template<typename T, int Dims>

constexpr int Halide::Internal::HalideBufferStaticTypeAndDims<::Halide::Buffer< T, Dims > >::dims | ( |  | ) |

inline static constexpr

Definition at line 61 of file Callable.h.

The documentation for this struct was generated from the following file:

- src/Callable.h